package com.memorynotfound.quartz;

import org.quartz.*;
import org.quartz.impl.StdSchedulerFactory;

import static org.quartz.SimpleScheduleBuilder.*;

public class SimpleTriggerExample {

    public static void main(String... args) throws SchedulerException {

        // create job
        JobDetail job = JobBuilder.newJob(BakeWaffles.class)
                .withIdentity("waffleJob", "foodGroup")
                .build();

        // create trigger
        SimpleTrigger trigger = TriggerBuilder.newTrigger()
                .withIdentity("waffleTrigger", "foodGroup")
                .withSchedule(
                        simpleSchedule()
                        .withIntervalInSeconds(3)
                        .repeatForever()
                ).build();

        // schedule it
        Scheduler scheduler = new StdSchedulerFactory().getScheduler();
        scheduler.start();
        scheduler.scheduleJob(job, trigger);
    }
}
